Loading...
Searching...
No Matches
casacore::FittingProxy::FitType Class Reference

Class to aid in distributing different fitters. More...

## Public Member Functions

| FitType ()
| Default constructor: no method known.
| ~FitType ()
| Destructor.
void | setFitter (GenericL2Fit< Double > *ptr)
| Set a fitter pointer (real or complex).
void | setFitterCX (GenericL2Fit< DComplex > *ptr)
GenericL2Fit< Double > *const & | getFitter () const
| Get a fitter pointer (real or complex).
GenericL2Fit< DComplex > *const & | getFitterCX () const
void | setStatus (Int n, Int typ, Double colfac, Double lmfac)
| Set the status.
Int | getNceq () const
| Get the number of terms in condition equation.
Int | getN () const
| Get the number of unknowns.
Int | getNreal () const
| Get the number of real unknowns.
Int | getType () const
| Get the type.
Double | getColfac () const
| Get the collinearity factor.
Double | getLMfac () const
| Get the Levenberg-Marquardt factor.
void | setSolved (Bool solved)
| Set solution done or not.
Bool | getSolved () const
| Solution done?

## Private Member Functions

| FitType (const FitType &other)
| Copy constructor: not implemented.
FitType & | operator= (const FitType &other)
| Assignment: not implemented.

## Private Attributes

casacore::GenericL2Fit< Double > * | fitter_p
| Pointer to a Fitting Machine: real or complex.
casacore::GenericL2Fit< DComplex > * | fitterCX_p
Int | n_p
| Number of unknowns.
Int | nceq_p
| Number of terms in condition equation.
Int | nreal_p
| Number of real unknowns.
Int | typ_p
| Type.
Double | colfac_p
| Collinearity factor.
Double | lmfac_p
| Levenberg-Marquardt factor.
Bool | soldone_p
| Solution done?
uInt | nr_p
| System's rank deficiency.

## Detailed Description

Class to aid in distributing different fitters.

Definition at line 112 of file FittingProxy.h.

## Constructor & Destructor Documentation

## FitType() [1/2]

casacore::FittingProxy::FitType::FitType | ( |  | ) |

Default constructor: no method known.

Referenced by FitType(), and operator=().

## ~FitType()

casacore::FittingProxy::FitType::~FitType | ( |  | ) |

Destructor.

## FitType() [2/2]

casacore::FittingProxy::FitType::FitType | ( | const FitType & | other | ) |

private

Copy constructor: not implemented.

References FitType().

## Member Function Documentation

## getColfac()

Double casacore::FittingProxy::FitType::getColfac | ( |  | ) | const

inline

Get the collinearity factor.

Definition at line 141 of file FittingProxy.h.

References colfac_p.

## getFitter()

GenericL2Fit< Double > *const & casacore::FittingProxy::FitType::getFitter | ( |  | ) | const

Get a fitter pointer (real or complex).

## getFitterCX()

GenericL2Fit< DComplex > *const & casacore::FittingProxy::FitType::getFitterCX | ( |  | ) | const

## getLMfac()

Double casacore::FittingProxy::FitType::getLMfac | ( |  | ) | const

inline

Get the Levenberg-Marquardt factor.

Definition at line 143 of file FittingProxy.h.

References lmfac_p.

## getN()

Int casacore::FittingProxy::FitType::getN | ( |  | ) | const

inline

Get the number of unknowns.

Definition at line 135 of file FittingProxy.h.

References n_p.

## getNceq()

Int casacore::FittingProxy::FitType::getNceq | ( |  | ) | const

inline

Get the number of terms in condition equation.

Definition at line 133 of file FittingProxy.h.

References nceq_p.

## getNreal()

Int casacore::FittingProxy::FitType::getNreal | ( |  | ) | const

inline

Get the number of real unknowns.

Definition at line 137 of file FittingProxy.h.

References nreal_p.

## getSolved()

Bool casacore::FittingProxy::FitType::getSolved | ( |  | ) | const

inline

Solution done?

Definition at line 147 of file FittingProxy.h.

References soldone_p.

## getType()

Int casacore::FittingProxy::FitType::getType | ( |  | ) | const

inline

Get the type.

Definition at line 139 of file FittingProxy.h.

References typ_p.

## operator=()

FitType & casacore::FittingProxy::FitType::operator= | ( | const FitType & | other | ) |

private

Assignment: not implemented.

References FitType().

## setFitter()

void casacore::FittingProxy::FitType::setFitter | ( | GenericL2Fit< Double > * | ptr | ) |

Set a fitter pointer (real or complex).

## setFitterCX()

void casacore::FittingProxy::FitType::setFitterCX | ( | GenericL2Fit< DComplex > * | ptr | ) |

## setSolved()

void casacore::FittingProxy::FitType::setSolved | ( | Bool | solved | ) |

Set solution done or not.

## setStatus()

void casacore::FittingProxy::FitType::setStatus | ( | Int | n,
|  | Int | typ,
|  | Double | colfac,
|  | Double | lmfac )

Set the status.

## Member Data Documentation

## colfac_p

Double casacore::FittingProxy::FitType::colfac_p

private

Collinearity factor.

Definition at line 168 of file FittingProxy.h.

Referenced by getColfac().

## fitter_p

casacore::GenericL2Fit<Double>* casacore::FittingProxy::FitType::fitter_p

private

Pointer to a Fitting Machine: real or complex.

Definition at line 156 of file FittingProxy.h.

## fitterCX_p

casacore::GenericL2Fit<DComplex>* casacore::FittingProxy::FitType::fitterCX_p

private

Definition at line 157 of file FittingProxy.h.

## lmfac_p

Double casacore::FittingProxy::FitType::lmfac_p

private

Levenberg-Marquardt factor.

Definition at line 170 of file FittingProxy.h.

Referenced by getLMfac().

## n_p

Int casacore::FittingProxy::FitType::n_p

private

Number of unknowns.

Definition at line 160 of file FittingProxy.h.

Referenced by getN().

## nceq_p

Int casacore::FittingProxy::FitType::nceq_p

private

Number of terms in condition equation.

Definition at line 162 of file FittingProxy.h.

Referenced by getNceq().

## nr_p

uInt casacore::FittingProxy::FitType::nr_p

private

System's rank deficiency.

Definition at line 174 of file FittingProxy.h.

## nreal_p

Int casacore::FittingProxy::FitType::nreal_p

private

Number of real unknowns.

Definition at line 164 of file FittingProxy.h.

Referenced by getNreal().

## soldone_p

Bool casacore::FittingProxy::FitType::soldone_p

private

Solution done?

Definition at line 172 of file FittingProxy.h.

Referenced by getSolved().

## typ_p

Int casacore::FittingProxy::FitType::typ_p

private

Type.

Definition at line 166 of file FittingProxy.h.

Referenced by getType().

The documentation for this class was generated from the following file:

- scimath/Fitting/FittingProxy.h